org.wso2.carbon.dataservices.sql.driver.query

## Class Query

- java.lang.Object
- - org.wso2.carbon.dataservices.sql.driver.query.Query

- Direct Known Subclasses:
    ConditionalQuery, CreateQuery, DropQuery, InsertQuery

      public abstract class Query
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Query(Statement stmt)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `execute()`
    `abstract ResultSet` | `executeQuery()`
    `abstract int` | `executeUpdate()`
    `ParamInfo` | `findParam(int index)`
    `Connection` | `getConnection()`
    `ParamInfo[]` | `getParameters()`
    `Queue<String>` | `getProcessedTokens()`
    `Statement` | `getStatement()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Query

          public Query(Statement stmt)
                throws SQLException

      Throws:
        `SQLException`

  - ### Method Detail

    - #### executeQuery

          public abstract ResultSet executeQuery()
                                          throws SQLException

      Throws:
        `SQLException`

    - #### executeUpdate

          public abstract int executeUpdate()
                                     throws SQLException

      Throws:
        `SQLException`

    - #### execute

          public abstract boolean execute()
                                   throws SQLException

      Throws:
        `SQLException`

    - #### findParam

          public ParamInfo findParam(int index)

    - #### getStatement

          public Statement getStatement()

    - #### getConnection

          public Connection getConnection()

    - #### getProcessedTokens

          public Queue<String> getProcessedTokens()

    - #### getParameters

          public ParamInfo[] getParameters()

Copyright © 2023 WSO2. All rights reserved.